Skip to main content
GET
Get a service identity

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

identity_id
string<uuid>
required

The service identity's ID.

Response

Successful Response

A service identity.

id
string
required
slug
string
required
description
string
required
roles
string[]
required
allowed_users
string[]
required
allowed_roles
string[]
required
enabled
boolean
required
client_id
string
required

The Keycloak client.

service_account_name
string
required

The name its runs act as in Trino, Ranger and the AI Router.

schedules
integer
required

Crew schedules set to run as it, enabled or not.

can_use
boolean
required

Whether you may set a schedule to run as it.

created_by
string
required

Username of the admin who made it.

created_at
string
required

ISO 8601, UTC.

updated_at
string
required

ISO 8601, UTC.